from src.eval_helper import *

if __name__ == "__main__":
    for l_upper in eval_range:
        print("=" * 20)
        torch.manual_seed(12345)
        binary = True
        eval_approx = True
        assert len(sys.argv) == 2, "Usage: python uniform_random.py game_mode"
        print(l_upper)
        num_theta = 1000 if game_mode[:2] == '1d' else 100
        PT = Training(lambda x: torch.zeros(x.size(0), x.size(1) // 3).float().cuda(),
                      'None', 'None', 'None', 'None', 'None', l_upper, 0,
                      binary, 0, eval_approx, num_theta * 16, 100, n_pulls=N_pulls).cuda()
        print()
        # worst_case(PT, l_upper, eval_approx)
        worst_case_sha(PT, l_upper, eval_approx, num_theta=num_theta, n_it=100, n_sample=100)

    # acc = []
    # for h in [.5, .6, .7, .8, .9, 1]:
    #     acc.append(average_case_rescale(PT, h, l_upper))
    # print(acc)
    #
    # if game_mode != "1d":
    #     average_case_dataset(PT, l_upper)
